### Virtual Method

# Gtk BuilderScopeget_type_from_name

#### Declaration [src]

    GType
    get_type_from_name (
      GtkBuilderScope* self,
      GtkBuilder* builder,
      const char* type_name
    )

#### Description [src]

Try to lookup a `GType` via the its name. See `gtk_builder_get_type_from_name()` for more details. The C implementation will use `g_type_from_name()` and if that fails try to guess the correct function name for registering the type and then use `dlsym()` to load it. The default implementation just tries `g_type_from_name()` and otherwise fails.

#### Parameters

`builder`

  Type: `GtkBuilder`

  No description available.

  The data is owned by the caller of the function.

`type_name`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GType`

No description available.